Main Page Class List Class Members

List of all members | Classes | Public Member Functions | Static Public Member Functions
Nv::Blast::ExtDamageAcceleratorAABBTree Class Referencefinal

`#include <NvBlastExtDamageAcceleratorAABBTree.h>`

Inheritance diagram for Nv::Blast::ExtDamageAcceleratorAABBTree:

## Public Member Functions
| ExtDamageAcceleratorAABBTree ()
virtual | ~ExtDamageAcceleratorAABBTree ()
virtual Nv::Blast::DebugBuffer | fillDebugRender (int depth, bool segments) override
virtual void | findBondCentroidsInBounds (const physx::PxBounds3 &bounds, ResultCallback &resultCallback) const override
virtual void | findBondSegmentsInBounds (const physx::PxBounds3 &bounds, ResultCallback &resultCallback) const override
virtual void | findBondSegmentsPlaneIntersected (const physx::PxPlane &plane, ResultCallback &resultCallback) const override
virtual void * | getImmediateScratch (size_t size) override
virtual void | release () override

## Static Public Member Functions
static ExtDamageAcceleratorAABBTree * | create (const NvBlastAsset *asset)

## Constructor & Destructor Documentation

## ◆ ExtDamageAcceleratorAABBTree()

Nv::Blast::ExtDamageAcceleratorAABBTree::ExtDamageAcceleratorAABBTree | ( |  | ) |
| inline

## ◆ ~ExtDamageAcceleratorAABBTree()

virtual Nv::Blast::ExtDamageAcceleratorAABBTree::~ExtDamageAcceleratorAABBTree | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ create()

static ExtDamageAcceleratorAABBTree* Nv::Blast::ExtDamageAcceleratorAABBTree::create | ( | const NvBlastAsset * | asset | ) |
| static

## ◆ fillDebugRender()

virtual Nv::Blast::DebugBuffer Nv::Blast::ExtDamageAcceleratorAABBTree::fillDebugRender | ( | int | depth,
|  | bool | segments
| ) |  |
| override virtual

Implements NvBlastExtDamageAccelerator.

## ◆ findBondCentroidsInBounds()

virtual void Nv::Blast::ExtDamageAcceleratorAABBTree::findBondCentroidsInBounds | ( | const physx::PxBounds3 & | bounds,
|  | ResultCallback & | resultCallback
| ) |  | const
| inline override virtual

Implements Nv::Blast::ExtDamageAcceleratorInternal.

## ◆ findBondSegmentsInBounds()

virtual void Nv::Blast::ExtDamageAcceleratorAABBTree::findBondSegmentsInBounds | ( | const physx::PxBounds3 & | bounds,
|  | ResultCallback & | resultCallback
| ) |  | const
| inline override virtual

Implements Nv::Blast::ExtDamageAcceleratorInternal.

## ◆ findBondSegmentsPlaneIntersected()

virtual void Nv::Blast::ExtDamageAcceleratorAABBTree::findBondSegmentsPlaneIntersected | ( | const physx::PxPlane & | plane,
|  | ResultCallback & | resultCallback
| ) |  | const
| override virtual

Implements Nv::Blast::ExtDamageAcceleratorInternal.

## ◆ getImmediateScratch()

virtual void* Nv::Blast::ExtDamageAcceleratorAABBTree::getImmediateScratch | ( | size_t | size | ) |
| inline override virtual

Implements Nv::Blast::ExtDamageAcceleratorInternal.

## ◆ release()

virtual void Nv::Blast::ExtDamageAcceleratorAABBTree::release | ( |  | ) |
| override virtual

Implements NvBlastExtDamageAccelerator.

The documentation for this class was generated from the following file:

- sdk/extensions/shaders/source/NvBlastExtDamageAcceleratorAABBTree.h